![travis](https://travis-ci.org/sachinchoolur/lg-video.js.svg?branch=master)
![bower](https://img.shields.io/bower/v/lg-video.js.svg)
![npm](https://img.shields.io/npm/v/lg-video.js.svg)

# Video module for [lightgallery.js](http://sachinchoolur.github.io/lightgallery.js/)
Full featured javascript gallery. Zero dependencies.
![lightgallery](https://raw.githubusercontent.com/sachinchoolur/lightGallery/master/lib/lg.png)

Main features
---

* Youtube Videos Vimeo Dailymotion VK and html5 videos Support.
* Supports Videos posters.
* Supports Videojs.
* Automatically pause video when navigates to different slides.
* Option to add Youtube, Yimeo parameters.
* Automatically load youtube and vimeo thumbnails
 
Browser support
---
lightgallery supports all major browsers including IE 9 and above..


Installation
---
#### Install with Bower

You can install lightgallery video plugin using the [Bower](http://bower.io) package manager.

```sh
$ bower install lg-video.js --save
```

#### npm

You can also find lightgallery video plugin on [npm](http://npmjs.org).

```sh
$ npm install lg-video.js
```
#### Download from Github

You can also directly download lg-video from github.

#### Include Javascript files
Include lg-video plugin after lightgallery.min.js.
``` html
<body>
   ---
    <!-- Include lightgallery.js -->
    <script src="js/lightgallery.min.js"></script>
    
    <!-- Include lg-video.js -->
    <script src="js/lg-video.min.js"></script>
    
    <!-- Include other lightgallery plugins (Optional) -->
    <script src="js/lg-thumbnail.min.js"></script>
</body>  
```

Demos 
----
  * [Youtube, Vimeo Video Gallery](http://sachinchoolur.github.io/lightgallery.js/demos/videos.html)
  * [Video Gallery Without Poster](http://sachinchoolur.github.io/lightgallery.js/demos/videos.html#video-without-poster)
  * [Video Player Parameters](http://sachinchoolur.github.io/lightgallery.js/demos/videos.html#video-player-param)
  * [Automatically load thumbnails](http://sachinchoolur.github.io/lightgallery.js/demos/videos.html#auto-thumb)
  * [Html5 Video Gallery](http://sachinchoolur.github.io/lightgallery.js/demos/html5-videos.html)
  * [Html5 video gallery with videojs](http://sachinchoolur.github.io/lightgallery.js/demos/html5-videos.html#video-without-poster)
  
Docs
-----
[Options](http://sachinchoolur.github.io/lightgallery.js/docs/api.html#lg-video)

Support
----
Use GitHub [issue tracker](https://github.com/sachinchoolur/lg-video.js/issues/new) in the event that you have come across a bug or glitch. It would also be very helpful if you could add a jsFiddle, which would allow you to demonstrate the problem in question.

Use [stackoverflow](https://stackoverflow.com/search?q=lightgallery) instead of github issue tracker if you need any help with implementing lightgallery in your project or if you have any personal support requests. 

Follow me on twitter [@sachinchoolur](https://twitter.com/sachinchoolur) for the latest news, updates about this project.

